#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/capability/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

requires = [
    'ssa-workspaces',
]
# tests_require = []

setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='The Workspaces capability service',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=requires,
    # tests_require=tests_require,
    keywords=[],
    packages=['capability'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['cap_launcher = capability.capability_launcher:main']
    },
)
